<?php

namespace WcElectronInvoice\Providers;

defined( 'ABSPATH' ) || die( 'Not allowed.' );

abstract class OrderItemAbstract {

	protected $order_item;

	public function __construct( $order_item ){
		$this->order_item = $order_item;
	}

	abstract function get_id();

	abstract function get_product();

	abstract function get_name();

	abstract function get_total();

	abstract function get_total_tax();

	abstract function get_sku();

	abstract function get_data();

	abstract function get_tax_class();


	/**
	 * The following methods are for WooCommerce only.
	 */

	function get_product_id(){
		return 0;
	}

	function get_variation_id(){
		return 0;
	}

}
